Bug 434442 - cone failed massrebuild attempt for GCC 4.3
cone failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cone (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43rebuildfail
  Show dependency treegraph
 
Reported: 2008-02-22 11:24 EST by Jesse Keating
Modified: 2013-01-09 22:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-29 00:36:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Compile against GCC 4.3 (6.60 KB, patch)
2008-03-29 00:17 EDT, Christopher Aillon
no flags Details | Diff

  None (edit)
Description Jesse Keating 2008-02-22 11:24:49 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=445699
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-03-05 18:23:52 EST
addmessage.C: In member function 'virtual void
mail::addMessage::assembleMessageRfc822(size_t&, std::string, size_t,
mail::callback&)':
addmessage.C:66: error: 'strerror' was not declared in this scope
addmessage.C: In member function 'virtual void
mail::addMessage::assembleMultipart(size_t&, std::string, const
std::vector<unsigned int, std::allocator<unsigned int> >&, std::string, const
mail::mimestruct::parameterList&, mail::callback&)':
addmessage.C:92: error: 'strerror' was not declared in this scope
addressbookadd.C: In member function 'void
mail::addressbook::Add::addedAll(std::string)':
addressbookadd.C:164: error: 'strerror' was not declared in this scope
make[3]: *** [addmessage.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
 g++ -DHAVE_CONFIG_H -I. -I.. -I./.. -Wall -I/usr/include/ncursesw -O2 -g -pipe
-Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -MT mail.lo -MD -MP -MF .deps/mail.Tpo -c mail.C 
-fPIC -DPIC -o .libs/mail.o
addmessageremoveattachments.C: In member function 'virtual void
mail::addMessage::assembleRemoveAttachmentsFrom(size_t&, mail::account*,
std::string, const mail::mimestruct&, const std::set<std::basic_string<char,
std::char_traits<char>, std::allocator<char> >,
std::less<std::basic_string<char, std::char_traits<char>, std::allocator<char> >
>, std::allocator<std::basic_string<char, std::char_traits<char>,
std::allocator<char> > > >&, mail::callback&)':
addmessageremoveattachments.C:230: error: 'strerror' was not declared in this scope
addmessageremoveattachments.C:261: error: 'strerror' was not declared in this scope
make[3]: *** [addressbookadd.lo] Error 1
addmessageremoveattachments.C: In member function 'virtual void
mail::addMessage::assembleRemoveAttachmentsHelper::fail(std::string)':
addmessageremoveattachments.C:379: error: 'strerror' was not declared in this scope
addressbook.C: In member function 'void mail::addressbook::setIndex(size_t,
std::string)':
addressbook.C:153: error: 'strerror' was not declared in this scope
addressbook.C: In member function 'void
mail::addressbook::searchNickname(std::string, std::vector<T,
std::allocator<_CharT> >&, mail::callback&)':
addressbook.C:225: error: there are no arguments to 'strerror' that depend on a
template parameter, so a declaration of 'strerror' must be available
addressbook.C:225: error: (if you use '-fpermissive', G++ will accept your code,
but allowing the use of an undeclared name is deprecated)
addressbook.C: In member function 'void mail::addressbook::getEntry(std::string,
std::vector<T, std::allocator<_CharT> >&, mail::callback&)':
addressbook.C:272: error: there are no arguments to 'strerror' that depend on a
template parameter, so a declaration of 'strerror' must be available
addressbook.C: In member function 'void
mail::addressbook::searchNickname(std::string, std::vector<T,
std::allocator<_CharT> >&, mail::callback&) [with T = mail::address]':
addressbook.C:248:   instantiated from here
addressbook.C:225: error: 'strerror' was not declared in this scope
addressbook.C: In member function 'void
mail::addressbook::searchNickname(std::string, std::vector<T,
std::allocator<_CharT> >&, mail::callback&) [with T = mail::emailAddress]':
addressbook.C:252:   instantiated from here
addressbook.C:225: error: 'strerror' was not declared in this scope
addressbook.C: In member function 'void mail::addressbook::getEntry(std::string,
std::vector<T, std::allocator<_CharT> >&, mail::callback&) [with T =
mail::address]':
addressbook.C:291:   instantiated from here
addressbook.C:272: error: 'strerror' was not declared in this scope
addressbook.C: In member function 'void mail::addressbook::getEntry(std::string,
std::vector<T, std::allocator<_CharT> >&, mail::callback&) [with T =
mail::emailAddress]':
addressbook.C:296:   instantiated from here
addressbook.C:272: error: 'strerror' was not declared in this scope
addmessageimport.C: In member function 'virtual void
mail::addMessage::assembleImportAttachment(size_t&, mail::account*, std::string,
const mail::mimestruct&, mail::callback&)':
addmessageimport.C:73: error: 'strerror' was not declared in this scope
addmessageimport.C:82: error: 'strerror' was not declared in this scope
addmessageimport.C: In member function 'virtual void
mail::addMessage::assembleImportHelper::success(std::string)':
addmessageimport.C:146: error: 'strerror' was not declared in this scope
addmessageimport.C:159: error: 'strerror' was not declared in this scope
Comment 2 Christopher Aillon 2008-03-29 00:17:34 EDT
Created attachment 299561 [details]
Compile against GCC 4.3

Here's a patch to use the includes defined by the C++ standard.  Some were
missing, some were using the C version.

Steven, please submit this upstream.
Comment 3 Christopher Aillon 2008-03-29 00:36:24 EDT
Built as http://koji.fedoraproject.org/koji/buildinfo?buildID=44223

Please send the patch upstream, though.

Note You need to log in before you can comment on or make changes to this bug.